> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List all contacts



## OpenAPI

````yaml get /v1/contacts
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/contacts:
    get:
      tags:
        - v1Contacts
      summary: List all contacts
      operationId: getAllContacts
      parameters:
        - name: limit
          required: false
          in: query
          description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100.
          schema:
            default: 10
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            A cursor for use in pagination. The cursor is the id of the last
            object returned in the previous request.
          schema:
            type: string
        - name: created_at_from
          required: false
          in: query
          description: Only return contacts that were created after this date.
          schema:
            type: string
        - name: created_at_to
          required: false
          in: query
          description: Only return contacts that were created before this date.
          schema:
            type: string
        - name: phone
          required: false
          in: query
          description: Only return contacts that have this phone number.
          schema:
            type: string
        - name: email
          required: false
          in: query
          description: Only return contacts that have this email address.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactCursorPaginatedResponseDto'
components:
  schemas:
    ContactCursorPaginatedResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ContactPublicDto'
        nextCursor:
          type: object
          nullable: true
          description: Cursor for the next page. Null if there are no more results.
      required:
        - data
        - nextCursor
    ContactPublicDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          description: The contact’s full name or business name
          example: João Silva
        email:
          type: string
          description: The contact’s email address
          example: joaosilva@gmail.com
        externalId:
          type: string
        origin:
          type: string
        phone:
          type: string
          description: The contact’s phone number
          example: '5585997281648'
        location:
          type: string
        avatar:
          type: string
          description: Url of the contact image
        facebookId:
          type: string
        instagramId:
          type: string
        telegramId:
          type: string
        notes:
          type: string
          description: The contact’s notes
        isImported:
          type: boolean
        hasConversation:
          type: boolean
        newContact:
          type: boolean
        customFields:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/CustomFieldPlaceholder'
          properties: {}
          example:
            cpf:
              value: 060.715.303-54
        crmData:
          type: object
          properties:
            utmCampaigns:
              type: object
              properties: {}
              additionalProperties:
                type: object
                properties:
                  utm_campaign:
                    type: string
                  utm_source:
                    type: string
                  utm_medium:
                    type: string
                  utm_term:
                    type: string
                  utm_content:
                    type: string
                  origin:
                    type: string
            referrals:
              type: object
              properties:
                _bg:
                  type: string
                _bt:
                  type: string
                gclid:
                  type: string
                offer:
                  type: string
                utm_ad:
                  type: string
                utm_term:
                  type: string
                source_id:
                  type: string
                gad_source:
                  type: string
                media_type:
                  type: string
                source_url:
                  type: string
                utm_medium:
                  type: string
                utm_source:
                  type: string
                source_type:
                  type: string
                utm_ad_name:
                  type: string
                utm_campaign:
                  type: string
                utm_ad_collection:
                  type: string
                utm_campaign_name:
                  type: string
                utm_ad_collection_name:
                  type: string
            hubspotId:
              type: string
            zohoId:
              type: string
            zohoType:
              type: string
            cloud_api:
              type: object
              properties: {}
              additionalProperties:
                type: object
                properties:
                  stoppedMarketingTemplateByUser:
                    type: boolean
        isPrivate:
          type: boolean
          description: >-
            Private contacts can only be seen by users who have the permission
            to view private contacts
      required:
        - id
        - externalId
        - origin
        - location
        - facebookId
        - instagramId
        - telegramId
        - isImported
        - hasConversation
        - newContact
        - customFields
        - crmData
    CustomFieldPlaceholder:
      type: object
      properties:
        value:
          type: string
        type:
          type: string
      required:
        - value
        - type

````